---
search:
  tags:
    - V1
    - POST
seo:
  description: >-
    Fetch project memory files by ID and/or path. Folders are… Reference for the
    POST /v1/projects/{projectId}/memory/files/fetch endpoint in the Judgeval
    API.
sidebar:
  label: Fetch memory files
  badge: POST
title: Fetch memory files
type: openapi-operation
---
Fetch project memory files by ID and/or path. Folders are ignored and files are returned in request order.

`POST /v1/projects/{projectId}/memory/files/fetch`

**Request body** (`application/json`, required)

- `ids` (string<uuid>[]) — Memory file IDs to fetch
- `names` (string[]) — Memory file paths to fetch

Request body example:

```json
{
  "ids": [
    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  ],
  "names": [
    "string"
  ]
}
```

**Responses**

- `200` — Response for status 200

Response example, 200:

```json
{
  "files": [
    {
      "id": "string",
      "project_id": "string",
      "name": "string",
      "body": "string",
      "created_by": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ]
}
```
